KDE 4.7 PyKDE API Reference

- KDE's Python API

# KCMultiDialog Class Reference

`from PyKDE4.kutils import *`

Inherits: KPageDialog → KDialog → QDialog → QWidget → QObject

## Detailed Description

A class that offers a KPageDialog containing arbitrary KControl Modules.

Author:
  Matthias Elter <elter@kde.org>, Daniel Molkentin <molkentin@kde.org>

## Signals
| configCommitted ()
| configCommitted (QByteArray componentName)
## Methods
| __init__ (self, QWidget parent=0)
| __init__ (self, KPageWidget pageWidget, QWidget parent, Qt::WFlags flags=0)
KPageWidgetItem | addModule (self, QString module, QStringList args=QStringList())
KPageWidgetItem | addModule (self, KCModuleInfo moduleinfo, KPageWidgetItem parent=0, QStringList args=QStringList())
| clear (self)
| setButtons (self, KDialog.ButtonCodes buttonMask)
| slotApplyClicked (self)
| slotDefaultClicked (self)
| slotHelpClicked (self)
| slotOkClicked (self)
| slotUser1Clicked (self)

## Signal Documentation

configCommitted | ( |  | ) |

Emitted after the KCModules have been told to save their configuration. It is emitted once for every instance the KCMs that were changed belong to.

You can make use of this if you have more than one component in your application. componentName tells you the instance that has to reload its configuration.

The applyClicked and okClicked signals are emitted before the configuration is saved.

Parameters:

  | componentName | The name of the instance that needs to reload its configuration.

Signal syntax:
  `QObject.connect(source, SIGNAL("configCommitted()"), target_slot)`

configCommitted | ( | QByteArray | componentName
| ) |  |  |

Emitted after the KCModules have been told to save their configuration. It is emitted once for every instance the KCMs that were changed belong to.

You can make use of this if you have more than one component in your application. componentName tells you the instance that has to reload its configuration.

The applyClicked and okClicked signals are emitted before the configuration is saved.

Parameters:

  | componentName | The name of the instance that needs to reload its configuration.

Signal syntax:
  `QObject.connect(source, SIGNAL("configCommitted(const QByteArray&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructs a new KCMultiDialog

Parameters:

  | parent | The parent widget

__init__ | ( | self, |
|  | KPageWidget | pageWidget,
|  | QWidget | parent,
|  | Qt::WFlags | flags=0
| ) |  |  |

This constructor can be used by subclasses to provide a custom KPageWidget.

KPageWidgetItem addModule | ( | self, |
|  | QString | module,
|  | QStringList | args=QStringList()
| ) |  |  |

Add a module.

The module is added according to its KCModuleInfo.weight(). The weight determines where in the list the module will appear. Lighter modules on top, heavier modules at the bottom.

Parameters:

  | moduleinfo | Pass a KCModuleInfo object which will be used for creating the module. It will be added to the list of modules the dialog will show.
    | parent | The See also: KPageWidgetItem that should appear as parents in the tree view or a 0 pointer if there is no parent. Parameters:
    | args | The arguments that should be given to the KCModule when it is created

KPageWidgetItem addModule | ( | self, |
|  | KCModuleInfo | moduleinfo,
|  | KPageWidgetItem | parent=0,
|  | QStringList | args=QStringList()
| ) |  |  |

Add a module.

The module is added according to its KCModuleInfo.weight(). The weight determines where in the list the module will appear. Lighter modules on top, heavier modules at the bottom.

Parameters:

  | moduleinfo | Pass a KCModuleInfo object which will be used for creating the module. It will be added to the list of modules the dialog will show.
    | parent | The See also: KPageWidgetItem that should appear as parents in the tree view or a 0 pointer if there is no parent. Parameters:
    | args | The arguments that should be given to the KCModule when it is created

clear | ( |  | self ) |

Removes all modules from the dialog.

setButtons | ( | self, |
|  | KDialog.ButtonCodes | buttonMask
| ) |  |  |

Reimplemented for internal reasons.

slotApplyClicked | ( |  | self ) |

This slot is called when the user presses the "Apply" Button. You can reimplement it if needed.

Note:
  Make sure you call the original implementation.

slotDefaultClicked | ( |  | self ) |

This slot is called when the user presses the "Default" Button. You can reimplement it if needed.

Note:
  Make sure you call the original implementation.

slotHelpClicked | ( |  | self ) |

This slot is called when the user presses the "Help" Button. It reads the X-DocPath field of the currently selected KControl module's .desktop file to find the path to the documentation, which it then attempts to load.

You can reimplement this slot if needed.

Note:
  Make sure you call the original implementation.

slotOkClicked | ( |  | self ) |

This slot is called when the user presses the "OK" Button. You can reimplement it if needed.

Note:
  Make sure you call the original implementation.

slotUser1Clicked | ( |  | self ) |

This slot is called when the user presses the "Reset" Button. You can reimplement it if needed.

Note:
  Make sure you call the original implementation.